import type { InputGpsProps } from "./input-gps";
declare const __VLS_export: import("vue").DefineComponent<InputGpsProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    confirmEvent: (data: {
        latitude: number;
        longitude: number;
        address: string;
    }) => any;
}, string, import("vue").PublicProps, Readonly<InputGpsProps> & Readonly<{
    onConfirmEvent?: ((data: {
        latitude: number;
        longitude: number;
        address: string;
    }) => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: typeof __VLS_export;
export default _default;
